> ## Documentation Index
> Fetch the complete documentation index at: https://docs.growthmarketing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# MOZ Backlink Summary

> Retrieve MOZ metrics from any domains.



## OpenAPI

````yaml post /moz-link-metrics
openapi: 3.0.0
info:
  title: Growth Marketing API
  description: API for company information, logos, MOZ metrics, and SERP data
  version: 1.0.0
  contact:
    name: Growth Marketing AI
    url: https://growthmarketing.ai
servers:
  - url: https://api.growthmarketing.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /moz-link-metrics:
    post:
      summary: MOZ Backlink Summary
      description: Retrieve MOZ metrics from any domains.
      operationId: getMozMetrics
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domains:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  example:
                    - example.com
                    - another.com
              required:
                - domains
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MozMetrics'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    MozMetrics:
      type: object
      properties:
        domain:
          type: string
          example: example.com
        data:
          type: object
          properties:
            page_rank:
              type: number
              format: float
              example: 5.24
            moz_domain_authority:
              type: integer
              example: 44
            moz_spam_score:
              type: integer
              example: 1
            moz_link_propensity:
              type: integer
              example: 2543
            moz_pages_to_subdomain:
              type: integer
              example: 704233
            moz_nofollow_pages_to_subdomain:
              type: integer
              example: 473821
            moz_redirect_pages_to_subdomain:
              type: integer
              example: 966
            moz_external_pages_to_subdomain:
              type: integer
              example: 506266
            moz_external_nofollow_pages_to_subdomain:
              type: integer
              example: 473506
            moz_external_redirect_pages_to_subdomain:
              type: integer
              example: 57
            moz_deleted_pages_to_subdomain:
              type: integer
              example: 538883
            moz_root_domains_to_subdomain:
              type: integer
              example: 8166
            moz_deleted_root_domains_to_subdomain:
              type: integer
              example: 3571
            moz_nofollow_root_domains_to_subdomain:
              type: integer
              example: 2221
            moz_da_history_values:
              type: string
              example: 17|17|19|20|22|23|22|22|22|22
    Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Error message
        details:
          type: string
          example: Additional error details
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````